ROCCATSAVUCONTROL(1)

NAME
roccatsavucontrol - Ein Hilfsprogramm um die erweiterten Funktionen der Roccat Savu zu nutzen.

SYNTAX
roccatsavucontrol [ -fhv ] [ -a ] [ -l NUMMER ] [ -r DATEINAME ] [ -s NUMMER ] [ -w DATEINAME ] [ --activate-profile=NUMMER ] [ --actual-profile ] [ --driver-off ] [ --driver-on ] [ --firmware=DATEINAME ] [ --help ] [ --load=NUMMER ] [ --read-firmware ] [ --read-rmp=DATEINAME ] [ --reset ] [ --save=NUMMER ] [ --sensor-read ] [ --sensor-register=NUMMER ] [ --sensor-write=WERT ] [ --srom=DATEINAME ] [ --version ] [ --write-rmp=DATEINAME ]

BESCHREIBUNG
Diese Konsolenanwendung ermöglicht es die erweiterten Funktionen der Roccat Savu zu nutzen.

OPTIONEN

-h, --help
    Zeige die Hilfeliste.

-a, --activate-profile=NUMMER
    Aktiviert das angegebene Profil. Das aktive Profil ist permanent, d.h. ist zugleich das Startup-Profil der Savu.

--actual-profile
    Gibt die Nummer des aktiven Profils aus.

--driver-off
    Deaktiviert Windows Treiberstatus.

--driver-on
    Aktiviert Windows Treiberstatus.

--firmware=DATEINAME
    Aktualisiert die Gerätefirmware mit der angegebenen Datei. Im Fehlerfall kann das Update wiederholt werden.

-f, --read-firmware
    Gibt die Firmwareversion der Savu aus.

-l, --load=NUMMER
    Lädt das Profil aus der Savu, sowie das dazugehörige hinterlegte Profil. Sollten diese sich unterscheiden wird eine Warnung ausgegeben und das Mausprofil weiterverwendet.

-r, --read-rmp=DATEINAME
    Lies eine rmp-Datei in den Speicher.

--reset
    Setzt das Gerät auf Standardeinstellungen zurück.

-s, --save=NUMMER
    Speichert das Profil aus dem Speicher in der Maus und im hinterlegten Profil.

--sensor-read
    Liest den Wert des mit --sensor-register angegeben Sensor Registers.

--sensor-register=NUMMER
    Selektiert das Sensor Register zum lesen und schreiben.

--sensor-write=WERT
    Schreibt den gegebenen Wert in das mit --sensor-register angegebene Sensor Register.

--srom=DATEINAME
    Aktualisiert das Sensorrom mit der angegeben Datei.

-v, --version
    Zeige die Programmversion.

-w, --write-rmp=DATEINAME
    Schreibe das im Speicher enthaltene Profil als rmp-Datei.

BEISPIELE

roccatsavucontrol -r profile.rmp -s 1
    Liest das Profil aus der Datei profile.rmp und speichert das Ergebnis als Profil Nummer 1 in der Maus, sowie im hinterlegten Profil.

roccatsavucontrol --sensor-register 0x1f --sensor-read
    Liest die SROM_ID aus dem Sensor.

AUTOR
Stefan Achatz <erazor_de@users.sourceforge.net>